summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorS. S. Bolokanar <sbolokanov@abv.bg>2022-05-25 19:23:26 +0100
committerWilly Sudiarto Raharjo <willysr@slackbuilds.org>2022-05-28 09:11:38 +0700
commit1dc5de0ec1e65b498586f64ad70a7a714ce15482 (patch)
treefc1c3f27560acff388903e9ae5a564f52b6956eb
parent3a3f1403d0186fc014064d95f3e96631511458c7 (diff)
downloadslackbuilds-1dc5de0ec1e65b498586f64ad70a7a714ce15482.tar.gz
audio/qpwgraph: Added (a PipeWire Graph Qt GUI Interface)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--audio/qpwgraph/README4
-rw-r--r--audio/qpwgraph/doinst.sh13
-rw-r--r--audio/qpwgraph/qpwgraph.SlackBuild106
-rw-r--r--audio/qpwgraph/qpwgraph.info10
-rw-r--r--audio/qpwgraph/slack-desc19
5 files changed, 152 insertions, 0 deletions
diff --git a/audio/qpwgraph/README b/audio/qpwgraph/README
new file mode 100644
index 0000000000..b7272ccd96
--- /dev/null
+++ b/audio/qpwgraph/README
@@ -0,0 +1,4 @@
+qpwgraph (a PipeWire Graph Qt GUI Interface)
+
+qpwgraph is a graph manager dedicated to PipeWire, using the Qt C++
+framework, based and pretty much like the same of QjackCtl.
diff --git a/audio/qpwgraph/doinst.sh b/audio/qpwgraph/doinst.sh
new file mode 100644
index 0000000000..aea0f894eb
--- /dev/null
+++ b/audio/qpwgraph/doinst.sh
@@ -0,0 +1,13 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/audio/qpwgraph/qpwgraph.SlackBuild b/audio/qpwgraph/qpwgraph.SlackBuild
new file mode 100644
index 0000000000..99a8cf7289
--- /dev/null
+++ b/audio/qpwgraph/qpwgraph.SlackBuild
@@ -0,0 +1,106 @@
+#!/bin/bash
+
+# Copyright 2022 S. S. Bolokanar, Bulgaria <sbolokanov@abv.bg>
+# С. С. Болоканаръ, България
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=qpwgraph
+VERSION=${VERSION:-0.3.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-v$VERSION
+tar xvf $CWD/$PRGNAM-v$VERSION.tar.gz
+cd $PRGNAM-v$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_INSTALL_MANDIR=/usr/man \
+ -DCONFIG_WAYLAND=ON \
+ -DCONFIG_ALSA_MIDI=ON \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install/strip DESTDIR=$PKG
+cd ..
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ LICENSE* README* ChangeLog \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/audio/qpwgraph/qpwgraph.info b/audio/qpwgraph/qpwgraph.info
new file mode 100644
index 0000000000..a1e20729f1
--- /dev/null
+++ b/audio/qpwgraph/qpwgraph.info
@@ -0,0 +1,10 @@
+PRGNAM="qpwgraph"
+VERSION="0.3.0"
+HOMEPAGE="https://gitlab.freedesktop.org/rncbc/qpwgraph"
+DOWNLOAD="https://gitlab.freedesktop.org/rncbc/qpwgraph/-/archive/v0.3.0/qpwgraph-v0.3.0.tar.gz"
+MD5SUM="2d2a6d56e5a9d35a231f5c7da84baf65"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="S. S. Bolokanar"
+EMAIL="sbolokanov@abv.bg"
diff --git a/audio/qpwgraph/slack-desc b/audio/qpwgraph/slack-desc
new file mode 100644
index 0000000000..89f7344b7e
--- /dev/null
+++ b/audio/qpwgraph/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+qpwgraph: qpwgraph (a PipeWire Graph Qt GUI Interface)
+qpwgraph:
+qpwgraph: qpwgraph is a graph manager dedicated to PipeWire, using the Qt C++
+qpwgraph: framework, based and pretty much like the same of QjackCtl
+qpwgraph:
+qpwgraph: Homepage: https://gitlab.freedesktop.org/rncbc/qpwgraph
+qpwgraph:
+qpwgraph:
+qpwgraph:
+qpwgraph:
+qpwgraph: